OpenMW Nightly builds

Anything related to PR, release planning and any other non-technical idea how to move the project forward should be discussed here.
User avatar
psi29a
Posts: 3363
Joined: 29 Sep 2011, 10:13
Github profile: https://github.com/psi29a/
Contact:

Re: OpenMW Nightly builds

Post by psi29a » 12 Feb 2017, 08:52

Already on the bug tracker, have been looking into since yesterday.

There is a dependency on libopenthreads20 which doesn't exist. OSG-3.4 just has a dep on libopenthreads-dev, so I'm unsure where the specific libopenthreads20 is coming from.

User avatar
psi29a
Posts: 3363
Joined: 29 Sep 2011, 10:13
Github profile: https://github.com/psi29a/
Contact:

Re: OpenMW Nightly builds

Post by psi29a » 12 Feb 2017, 15:46

Good to go now. :) Give it a try.

User avatar
augustt
Posts: 44
Joined: 14 Dec 2012, 17:14

Re: OpenMW Nightly builds

Post by augustt » 12 Feb 2017, 17:54

Updated sources and am still getting the same error.

User avatar
psi29a
Posts: 3363
Joined: 29 Sep 2011, 10:13
Github profile: https://github.com/psi29a/
Contact:

Re: OpenMW Nightly builds

Post by psi29a » 12 Feb 2017, 19:50

you'll have to wait until tomorrow, the nightly still has to run. ;)

User avatar
raevol
Posts: 2349
Joined: 07 Aug 2011, 01:12
Location: Caldera

Re: OpenMW Nightly builds

Post by raevol » 12 Feb 2017, 20:39

Such a tease. :P

User avatar
raevol
Posts: 2349
Joined: 07 Aug 2011, 01:12
Location: Caldera

Re: OpenMW Nightly builds

Post by raevol » 13 Feb 2017, 03:39

My apt is still not upgrading. Do I just need to wait? Using the daily PPA.

Code: Select all

raevol@jabberwock:~$ sudo apt upgrade
Reading package lists... Done
Building dependency tree       
Reading state information... Done
Calculating upgrade... Done
The following packages have been kept back:
  openmw-data
0 upgraded, 0 newly installed, 0 to remove and 1 not upgraded.
raevol@jabberwock:~$ sudo apt list --upgradeable
Listing... Done
openmw/yakkety 0.41.0+git201702121916~ubuntu16.10.1 amd64 [upgradable from: 0.41.0+git201702060716~ubuntu16.10.1]
openmw-data/yakkety,yakkety 0.41.0+git201702121916~ubuntu16.10.1 all [upgradable from: 0.41.0+git201702060716~ubuntu16.10.1]
openmw-launcher/yakkety 0.41.0+git201702121916~ubuntu16.10.1 amd64 [upgradable from: 0.41.0+git201702060716~ubuntu16.10.1]
raevol@jabberwock:~$ 

User avatar
augustt
Posts: 44
Joined: 14 Dec 2012, 17:14

Re: OpenMW Nightly builds

Post by augustt » 13 Feb 2017, 03:55

Yeah, still not working for me. Looks like it built a little while after my previous post.

User avatar
psi29a
Posts: 3363
Joined: 29 Sep 2011, 10:13
Github profile: https://github.com/psi29a/
Contact:

Re: OpenMW Nightly builds

Post by psi29a » 13 Feb 2017, 07:36

Have you tried purging everything and trying again?

User avatar
raevol
Posts: 2349
Joined: 07 Aug 2011, 01:12
Location: Caldera

Re: OpenMW Nightly builds

Post by raevol » 13 Feb 2017, 08:45

Code: Select all

raevol@jabberwock:~$ sudo apt install openmw
Reading package lists... Done
Building dependency tree       
Reading state information... Done
Some packages could not be installed. This may mean that you have
requested an impossible situation or if you are using the unstable
distribution that some required packages have not yet been created
or been moved out of Incoming.
The following information may help to resolve the situation:

The following packages have unmet dependencies:
 openmw : Depends: libbullet2.85 but it is not installable
          Recommends: openmw-launcher but it is not going to be installed
E: Unable to correct problems, you have held broken packages.
raevol@jabberwock:~$ 

User avatar
psi29a
Posts: 3363
Joined: 29 Sep 2011, 10:13
Github profile: https://github.com/psi29a/
Contact:

Re: OpenMW Nightly builds

Post by psi29a » 13 Feb 2017, 08:50

huh? we don't have libbullet2.85, we have libbullet2.86.

Post Reply

Who is online

Users browsing this forum: No registered users and 2 guests